Subject: Re: v2.46.0-rc0 test failures on cygwin

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Jul 2024 21:52:18 -0700

Ramsay Jones <[email-masked]> writes:

> On 18/07/2024 01:57, Jeff King wrote:
>> On Wed, Jul 17, 2024 at 07:05:43PM +0100, Ramsay Jones wrote:
> [snip]
>
>>> I also don't know the code well enough to answer your question regarding
>>> the re-opening of the migrated ref-store, but it doesn't look like it would
>>> cause any problems (famous last words).
>> 
>> Thanks for testing. This is new in the upcoming release, but I think
>> it's localized to the "git ref migrate" command. So aside from the
>> annoyance of the test failure for you, it is not too urgent. I'm tempted
>> to put it off until Patrick has had a chance to weigh in, even if it
>> means missing the v2.46 cutoff.
>
> Yes, I think it would be better for Patrick to take a look. I added Adam to
> the CC list to keep him in the loop (because he is the cygwin git package
> maintainer); he may have a view on the timing issues.
>
> Personally, I would be fine with a post v2.46 fix, but it is not up to me. :)

Thanks.  I am inclined to postpone it after 2.46 final, and not to
disturb Patrick during his honeymoon.